# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::WaveletTransform::UpdateStepFourTap< shift, tap1, tap2 > Class Template Reference

Class to do symmetric four-tap update lifting step.

List of all members.

## Public Member Functions

- UpdateStepFourTap ()
    Constructor.
- void Filter (ValueType &in_val, const ValueType &val1, const ValueType &val2, const ValueType &val3, const ValueType &val4) const
    Do the filtering.

### template<int shift, int tap1, int tap2>
class dirac::WaveletTransform::UpdateStepFourTap< shift, tap1, tap2 >

## Constructor & Destructor Documentation

template<int shift, int tap1, int tap2>

dirac::WaveletTransform::UpdateStepFourTap< shift, tap1, tap2 >::UpdateStepFourTap | ( |  | ) | `[inline]`

## Member Function Documentation

template<int shift, int tap1, int tap2>

void dirac::WaveletTransform::UpdateStepFourTap< shift, tap1, tap2 >::Filter | ( | ValueType & | in_val,
|  | const ValueType & | val1,
|  | const ValueType & | val2,
|  | const ValueType & | val3,
|  | const ValueType & | val4 |
| ) |  |  | const`[inline]`

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.